var Scoreboard = function(game) {

	Phaser.Group.call(this, game);

  
  this.fixedToCamera = true;

	this.gameover = this.create(this.game.width/2, 100, 'gameover');
  this.gameover.anchor.setTo(0.5, 0.5);

  this.scoreboard = this.create(this.game.width/2, this.game.height/2, 'scoreboard');
	this.scoreboard.anchor.setTo(0.5, 0.5);

	this.timeText = this.game.add.bitmapText(this.game.width/2 -70, this.game.height/2 - 150, 'font','', 48);
	this.add(this.timeText);

	this.bestTimeText = this.game.add.bitmapText(this.game.width/2 -70, this.game.height/2 -80, 'font', '', 48);
	this.add(this.bestTimeText);

	// add our start button with a callback
	this.startButton = this.game.add.button(this.game.width/2, 500, 'restart', this.startClick, this);
	this.startButton.anchor.setTo(0.5,0.5);

	this.add(this.startButton);

	this.y = this.game.height;
  this.x = 0;

};

Scoreboard.prototype = Object.create(Phaser.Group.prototype);  
Scoreboard.prototype.constructor = Scoreboard;  

Scoreboard.prototype.show = function(time) {  
  var bestTime;

  // Step 1
  this.timeText.setText(time.toString() + ' s');

  if(!!localStorage) {
    // Step 2
    bestTime = localStorage.getItem('bestTime');

    // Step 3
    if(!bestTime || bestTime > time) {
      bestTime = time;
      localStorage.setItem('bestTime', bestTime);
    }
  } else {
    // Fallback. LocalStorage isn't available
    bestTime = 'N/A';
  }

  // Step 4
  this.bestTimeText.setText(bestTime.toString() + ' s');

};

Scoreboard.prototype.startClick = function() {  
  this.game.state.start('play');
};